[arch-commits] Commit in xineramaproto/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Apr 21 22:36:43 EDT 2009


    Date: Tuesday, April 21, 2009 @ 22:36:43
  Author: eric
Revision: 36407

Merged revisions 356,36399 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/xineramaproto/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r36399 | eric | 2009-04-21 21:46:23 -0400 (Tue, 21 Apr 2009) | 2 lines
  
  upgpkg: xineramaproto 1.1.2-2
      Added license
........

Modified:
  xineramaproto/repos/extra-i686/	(properties)
  xineramaproto/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |    8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)


Property changes on: xineramaproto/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /xineramaproto/trunk:1
   + /xineramaproto/trunk:1-36406

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-22 02:35:44 UTC (rev 36406)
+++ extra-i686/PKGBUILD	2009-04-22 02:36:43 UTC (rev 36407)
@@ -3,17 +3,19 @@
 
 pkgname=xineramaproto
 pkgver=1.1.2
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 Xinerama extension wire protocol"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 source=(${url}/releases/individual/proto/${pkgname}-${pkgver}.tar.bz2)
 md5sums=('1cc292c562962ad0ad3a253cae68c632')
 sha1sums=('d09ef306ffc0d058120051d88dd64776fd0de0d5')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }



More information about the arch-commits mailing list